import { ClientApi, StoryStore } from '@storybook/client-api';
import { StoriesRaw, ServerTest, StoryInput, Config } from './types';
export declare function convertStories(browsers: string[], stories: StoriesRaw | StoryInput[]): Partial<{
    [testId: string]: ServerTest;
}>;
declare global {
    interface Window {
        __STORYBOOK_CLIENT_API__: ClientApi | undefined;
        __STORYBOOK_STORY_STORE__: StoryStore | undefined;
    }
}
export declare function loadStorybookConfig(storybookDir: string, enableFastStoriesLoading: boolean, storiesListener: (stories: Map<string, StoryInput[]>) => void): Promise<StoriesRaw>;
export declare function loadTestsFromStories(config: Config, browsers: string[], applyTestsDiff: (testsDiff: Partial<{
    [id: string]: ServerTest;
}>) => void): Promise<Partial<{
    [id: string]: ServerTest;
}>>;
